Package ru.bitel.bgbilling.kernel.event.events

# Class CancelTariffEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.CancelTariffEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class CancelTariffEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Синхронное событие - отмена перехода на тариф из Web - статистики.
Вызывается перед штатным откатом на старый тариф. Если скрипт не помечает событие обработанным, то откат производится штатными средствами.
Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `CancelTariffEvent()` |
  `` | `CancelTariffEvent​(int userId, int cid, ContractTariff contractTariff, ContractTariff contractTariffPrevious)` | Конструктор события.
  `` | `CancelTariffEvent​(int userId, int cid, ContractTariff contractTariff, ContractTariff contractTariffPrevious)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractTariff` | `getContractTariff()` | Возвращает тариф договора (будущий), которого производится отмена.
  `ContractTariff` | `getContractTariffPrevious()` | Возвращает тариф договора (предыдущий), на который производится откат.
  `java.lang.String` | `getError()` | Возвращает текст ошибки, установленный скриптом.
  `java.lang.String` | `getMessage()` | Возвращает сообщение, установленное скриптом.
  `boolean` | `isProcessed()` | Возвращает признак обработанности события скриптом. В этом случае штатная обработка отмены не выполняется.
  `void` | `setError​(java.lang.String error)` | Установка текста ошибки скриптом.
  `void` | `setMessage​(java.lang.String message)` | Установка текста сообщения.
  `void` | `setProcessed​(boolean processed)` | Установка флага обработанности события скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CancelTariffEvent

    protected CancelTariffEvent()

  - ### CancelTariffEvent

    public CancelTariffEvent​(int userId, int cid, ContractTariff contractTariff, ContractTariff contractTariffPrevious)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `contractTariff` - - тариф договора, которого производится отмена
      `contractTariffPrevious` - - предыдущий тариф договора

  - ### CancelTariffEvent

    public CancelTariffEvent​(int userId, int cid, ContractTariff contractTariff, ContractTariff contractTariffPrevious)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `contractTariff` - - тариф договора, которого производится отмена
      `contractTariffPrevious` - - предыдущий тариф договора

- ## Method Details

  - ### getContractTariff

    public ContractTariff getContractTariff()
    Возвращает тариф договора (будущий), которого производится отмена.
    Returns:
      contractTariff - тариф договора

  - ### getContractTariffPrevious

    public ContractTariff getContractTariffPrevious()
    Возвращает тариф договора (предыдущий), на который производится откат.
    Returns:
      contractTariffPrevious - тариф договора

  - ### isProcessed

    public boolean isProcessed()
    Возвращает признак обработанности события скриптом.
    В этом случае штатная обработка отмены не выполняется.
    Returns:
      processed - флаг обработки
      true- обработано
      false - не обработано

  - ### setProcessed

    public void setProcessed​(boolean processed)
    Установка флага обработанности события скриптом.
    Parameters:
      `processed` - - флаг обработки события
      true- обработано
      false - не обработано

  - ### getMessage

    public java.lang.String getMessage()
    Возвращает сообщение, установленное скриптом.
    Returns:
      message - текс сообщения

  - ### setMessage

    public void setMessage​(java.lang.String message)
    Установка текста сообщения.
    Parameters:
      `message` - - текст сообщения

  - ### getError

    public java.lang.String getError()
    Возвращает текст ошибки, установленный скриптом.
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Returns:
      error - текс ошибки

  - ### setError

    public void setError​(java.lang.String error)
    Установка текста ошибки скриптом.
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`
    Parameters:
      `error` - - текст ошибки